Package Details: indicator-weather-bzr r358-3

Git Clone URL: https://aur.archlinux.org/indicator-weather-bzr.git (read-only)
Package Base: indicator-weather-bzr
Description: Comprehensive weather notification system, implemented using the indicator applet API (Canonical Ayatana Project)
Upstream URL: https://launchpad.net/weather-indicator
Licenses: GPL3
Conflicts: indicator-weather
Provides: indicator-weather
Submitter: None
Maintainer: willemw
Last Packager: willemw
Votes: 5
Popularity: 0.000002
First Submitted: 2010-06-26 14:08
Last Updated: 2015-06-08 10:13

Dependencies (7)

Required by (0)

Sources (1)

Latest Comments

bosyi commented on 2015-11-26 20:00

if enable option 'show temperature near indicator' application icon became 'noname' and shows nothing.

willemw commented on 2015-09-06 07:08

@fredcote: This package should not need those packages.

This package installs a Gtk+ 3 / Python 3 program. It does not depend on Gtk 2, C#, Mono or Perl. And libindicator-gtk3 is already a dependency of libappindicator-gtk3.

Without more information, it seems you are having problems with dependent split-packages. Split-packages will build every package it defines (Gtk 2, C#, etc. dependent packages).

fredcote commented on 2015-09-05 21:37

I tried to build this package and there are dependencies that should be added in the pkgbuild file:
gtk-sharp-2
libdbusmenu-gtk2
libindicator-gtk2
libindicator-gtk3
mono
perl-xml-libxml

acgtyrant commented on 2013-12-27 10:01

@willemw Do you know China's GFW? Because of it I can not download the source until I access it via proxy...

willemw commented on 2013-12-27 09:58

@acgtyrant: pywapi-0.3.3.tar.gz is the source for dependent package python2-pywapi, not this package. Please try again (because downloading that source works for me).

acgtyrant commented on 2013-12-26 15:09

I can not download the source!

-> Downloading pywapi-0.3.3.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
curl: (56) Recv failure: Connection reset by peer
==> ERROR: Failure while downloading pywapi-0.3.3.tar.gz

willemw commented on 2013-06-29 21:07

Package has been corrected and updated.

Madek commented on 2010-11-09 15:19

this package depends on python-appindicator

pumbur commented on 2010-08-28 14:10

makedepends<<python-distutils-extra

Anonymous comment on 2010-06-28 11:53

it doesnt work for me unfortunately:
[dinth@dinth-netbook 5542888]$ weather-indicator
** Message: pygobject_register_sinkfunc is deprecated (GtkWindow)
** Message: pygobject_register_sinkfunc is deprecated (GtkInvisible)
** Message: pygobject_register_sinkfunc is deprecated (GtkObject)
/usr/bin/weather-indicator:98: GtkWarning: Can't set a parent on widget which has a parent

self.menu.append(breaker)
/usr/bin/weather-indicator:110: GtkWarning: Can't set a parent on widget which has a parent

self.menu.append(breaker)
Mostly Cloudy

hnws commented on 2010-06-28 11:45

ok..it works.thanks for your great packages.

Anonymous comment on 2010-06-28 08:26

Ive uploaded 135-2 version of indicator-application. Please write if indicator-weather works for you now.

hnws commented on 2010-06-28 02:09

There is still 135-1 version on AUR website.

Anonymous comment on 2010-06-27 22:27

135-2 comes with python bindings - and you need it for indicator-weather

hnws commented on 2010-06-27 15:55

When I take a look into the package build folder I find there is no python module in indicator-application-bzr 135-1

[hnws@darkwhite-laptop ~]$ ls /tmp/yaourt-tmp-darkwhite/aur-indicator-application-bzr/pkg/usr/lib
girepository-1.0/ libappindicator.la* libappindicator.so.0@ pkgconfig/
indicators/ libappindicator.so@ libappindicator.so.0.0.0*

hnws commented on 2010-06-27 15:49

Is there something interesting about indicator-application-bzr 135-1 and 135-2?
I have indicator-application-bzr 135-1 as well as on AUR site.

Anonymous comment on 2010-06-27 13:49

[dinth@dinth-netbook appindicator]$ pacman -Qo /usr/lib/python2.6/site-packages/appindicator/_appindicator.so
/usr/lib/python2.6/site-packages/appindicator/_appindicator.so jest własnością indicator-application-bzr 135-2

Anonymous comment on 2010-06-27 13:42

thats strange...
are you have all my packages installed ?
are you sure that you have up-to-date versions of them ?

I had same error as you, but after installing indicator-application-bzr (version which ive uploaded to aur yesterday or day before yesterday) it stopped to appear

hnws commented on 2010-06-27 13:19

I have installed that one.
the error message occurs when I type weather-indicator in the alt+f2 box.

Anonymous comment on 2010-06-27 11:15

It needs my indicator-application-bzr.

hnws commented on 2010-06-27 11:09

I think there should be another package called "python-appindicator".
** Message: pygobject_register_sinkfunc is deprecated (GtkWindow)
** Message: pygobject_register_sinkfunc is deprecated (GtkInvisible)
** Message: pygobject_register_sinkfunc is deprecated (GtkObject)
Traceback (most recent call last):
File "/usr/bin/weather-indicator", line 25, in <module>
import appindicator
ImportError: No module named appindicator